Bug 971324 - PRD33 - notification service - should send an email if db is down
PRD33 - notification service - should send an email if db is down
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-notification-service (Show other bugs)
3.3.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.3.0
Assigned To: Mooli Tayer
Ilanit Stein
infra
: Improvement
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-06 05:29 EDT by Itamar Heim
Modified: 2016-02-10 14:37 EST (History)
11 users (show)

See Also:
Fixed In Version: is3
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtayer: needinfo-


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 15768 None None None Never

  None (edit)
Description Itamar Heim 2013-06-06 05:29:28 EDT
today if the db is down (local or remote), the notification service can't send an alert.
a general alert, similar to "engine is down" scenario should be sent.
difference is we don't have the db, so need in the config a new parameter for list of email addresses to send notification on "db is down".
probably after X retries, every Y minutes.
Comment 1 Ilanit Stein 2013-07-17 03:37:49 EDT
Verified on is5,

As long as DB is down, endless "db down" notification are sent.
Is this intentionally, or doed it need to be fixed to be only a single notification?
Comment 2 Mooli Tayer 2013-07-17 05:03:04 EDT
It is intentional in the default configuration.

along with FAILED_QUERIES_NOTIFICATION_RECIPIENTS which defines where emails should be sent, another configuration parameter was defined:
FAILED_QUERIES_NOTIFICATION_THRESHOLD. from the conf file documentation: 

# Send a notification email after first failure to fetch notifications,
# and then once every failedQueriesNotificationThreshold times.
# 0 or 1 means notify on each failure.

The default value is 30. together with the default value for INTERVAL_IN_SECONDS (120) we will get one message every hour in the default configuration(!).

Ilanit, I see we have the docs_scoped flag as '?' does it mean the appropriate person will check if this feature (specifically the parameters) should be documented?
Comment 3 Itamar Heim 2014-01-21 17:32:38 EST
Closing - RHEV 3.3 Released
Comment 4 Itamar Heim 2014-01-21 17:32:41 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.